Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.platform
Class PlatformPostgresqlImpl

    java.lang.Object
      org.apache.torque.templates.platform.PlatformDefaultImpl
          org.apache.torque.templates.platform.PlatformPostgresqlImpl

All Implemented Interfaces:
  Platform

    public class PlatformPostgresqlImpl

extends PlatformDefaultImpl

Postgresql Platform implementation.

Version:
  $Id: PlatformPostgresqlImpl.java 1448795 2013-02-21 20:38:45Z tfischer $
Author:
  Martin Poeschl

Constructor Summary
`PlatformPostgresqlImpl()` Default constructor.

Method Summary
`protected boolean` | `escapeBackslashes()` Returns whether backslashes must be escaped in string literals.
`String` | `getAutoIncrement()`
`boolean` | `hasScale(String sqlType)` Returns if the RDBMS-specific SQL type has a scale attribute.
`boolean` | `hasSize(String sqlType)` Returns if the RDBMS-specific SQL type has a size attribute.
`boolean` | `usesStandaloneSchema()` Returns whether the database has schema support where a schema is not tied to a user (oracle) or database (mysql), but can be created separately.

Methods inherited from class org.apache.torque.templates.platform.PlatformDefaultImpl
`createNotNullBeforeAutoincrement, getDateString, getNullString, getSizeSuffix, getSqlTypeForSchemaType, getTimestampString, getTimeString, quoteAndEscape, setSchemaTypeToSqlTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformPostgresqlImpl

    public PlatformPostgresqlImpl()

  Default constructor.

Method Detail

### getAutoIncrement

    public String getAutoIncrement()

  Specified by:
    `getAutoIncrement` in interface `Platform`
  Overrides:
    `getAutoIncrement` in class `PlatformDefaultImpl`
  Returns:
    The RDBMS-specific SQL fragment for autoincrement.
  See Also:
    `Platform.getAutoIncrement()`

### hasScale

    public boolean hasScale(String sqlType)

  Description copied from interface: `Platform`
  Returns if the RDBMS-specific SQL type has a scale attribute.

  Specified by:
    `hasScale` in interface `Platform`
  Overrides:
    `hasScale` in class `PlatformDefaultImpl`
  Parameters:
    `sqlType` - the SQL type
  Returns:
    true if the type has a scale attribute
  See Also:
    `Platform.hasScale(String)`

### hasSize

    public boolean hasSize(String sqlType)

  Description copied from interface: `Platform`
  Returns if the RDBMS-specific SQL type has a size attribute.

  Specified by:
    `hasSize` in interface `Platform`
  Overrides:
    `hasSize` in class `PlatformDefaultImpl`
  Parameters:
    `sqlType` - the SQL type
  Returns:
    true if the type has a size attribute
  See Also:
    `Platform.hasSize(String)`

### escapeBackslashes

    protected boolean escapeBackslashes()

  Description copied from class: `PlatformDefaultImpl`
  Returns whether backslashes must be escaped in string literals.

  Overrides:
    `escapeBackslashes` in class `PlatformDefaultImpl`
  Returns:
    true if backslashes bust be escaped, false otherwise.

### usesStandaloneSchema

    public boolean usesStandaloneSchema()

  Returns whether the database has schema support where a schema is not tied to a user (oracle) or database (mysql), but can be created separately.

  Specified by:
    `usesStandaloneSchema` in interface `Platform`
  Overrides:
    `usesStandaloneSchema` in class `PlatformDefaultImpl`
  Returns:
    this implementation returns true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.